org.apache.sling.crankstart.api

## Class CrankstartCommandLine

- java.lang.Object
- - org.apache.sling.crankstart.api.CrankstartCommandLine

    public class CrankstartCommandLine
    extends Object

A command line read from a crankstart txt file

### Constructor Summary

Constructors
Constructor and Description
`CrankstartCommandLine(String verb, String qualifier, Dictionary<String,Object> properties)`

### Method Summary

Methods
`Dictionary<String,Object>` `getProperties()`
`String` `getQualifier()`
`String` `getVerb()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CrankstartCommandLine

    public CrankstartCommandLine(String verb,
                         String qualifier,
                         Dictionary<String,Object> properties)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getVerb

    public String getVerb()

#### getQualifier

    public String getQualifier()

#### getProperties

    public Dictionary<String,Object> getProperties()